/************************ 
    議程和工作坊共用樣式 
*************************/
.sec-workshop,
.sec-agenda {
	background-color: var(--c4);
	overflow: visible;
}

#workshop input[type='text'],
select {
	width: 180px;
	padding: 6px 20px;
	margin: 8px 0;
	display: inline-block;
	border: 1px solid #ccc;
	border-radius: 6px;
	box-sizing: border-box;
}

.agenda-nav .nav-item {
	transition: all 0.2s cubic-bezier(0.075, 0.82, 0.165, 1);
}

.agenda-nav .nav-item a {
	text-align: center;
	border: 2px solid var(--c4);
	background-color: var(--c1);
	color: var(--c4);
	border-radius: 50px;
	padding: 0.5rem 1.2rem;
	font-size: 24px;
	margin: 30px 10px 0;
	box-shadow: 0 3px 15px #09196d;
}

.agenda-nav .nav-item:hover {
	transform: translateY(-2px);
}

.agenda-nav .nav-item:active {
	transform: translateY(1px);
}

.agenda-nav .nav-item a:active {
	box-shadow: inset 0 2px 10px #0d95e4;
}

.agenda-nav .nav-item .active {
	background-color: var(--c4);
	border: 2px solid var(--c1);
	color: var(--c1);
}

.tab-content {
	background-color: var(--black);
	background-image: linear-gradient(203deg, #030f47, #071245 100%);
	border: 1px solid #fff;
	padding: 20px 30px;
	margin-bottom: 20px;
	border-radius: 1rem;
}

.date-box {
	background-color: var(--c1);
	position: sticky;
	top: 15%;
	transform: translateY(-15%);
}

.date-title-D1::before,
.date-title-D2::before {
	position: absolute;
	top: 3rem;
	left: -65px;
	border-radius: 0.5em 0 0 0.5em;
	background-color: #6512d3;
	border: 1px solid #fff;
}

.date-title-D1::before {
	content: url(../img/date1.png);
}

.date-title-D2::before {
	content: url(../img/date2.png);
}

@media (max-width: 1400px) {
	.date-box {
		top: 20%;
		transform: translateY(-20%);
	}

	.date-title-D1::before,
	.date-title-D2::before {
		border-radius: 0 0.5em 0.5em 0;
	}

	.date-title-D1::before {
		content: url(../img/date1-sm.png);
		left: -16px;
	}

	.date-title-D2::before {
		content: url(../img/date2-sm.png);
		left: -16px;
	}
}

.date-title h2 {
	font-size: 30px;
	text-align: center;
}

@media (max-width: 576px) {
	.date-title {
		text-align: center;
	}
}

.session-time {
	text-align: center;
}

.session-time p {
	margin: 20px 0 15px;
	border-radius: 0.5em;
	color: var(--c1);
	font-size: 24px;
	background-color: #0a1c77;
}

.session-box {
	position: relative;
	border: 1px solid #163cea;
	background-color: var(--c4);
	margin: 10px auto 20px;
	border-radius: 15px;
	transition: all 0.2s cubic-bezier(0.075, 0.82, 0.165, 1);
}

.session-box:hover {
	transform: translateY(-2px);
}

.session-box:active {
	transform: translateY(1px);
	box-shadow: inset 0 2px 10px #0d163d;
}

.session-box .session-class {
	padding-bottom: 10px;
	border-bottom: 1px solid rgba(255, 255, 255, 0.6);
	margin: 15px 20px 0;
}

.session-class h4 {
	display: inline-block;
	font-size: 28px;
	position: relative;
	color: var(--Color3);
	margin-bottom: 0;
	margin-right: 8px;
}

.session-title {
	padding: 10px 20px;
	position: relative;
}

.session-title .session-timebox {
	display: inline-block;
	margin-bottom: 10px;
	padding: 0 10px;
	background-color: var(--c4);
	border: 1px solid #fff;
	color: #fff;
	border-radius: 0.5em;
	text-align: center;
	font-size: 16px;
}

.break {
	background-color: #e6e6e6;
	border: 1px solid #b8b8b8;
	padding: 15px 0 10px;
	border-radius: 13px;
}

.session-title h5 {
	font-size: 23px;
	margin: 0.5rem 0;
}

.session-title p {
	font-size: 16px;
	color: #d8d8d8;
	margin-bottom: 0;
}

.session-box .keytag::after {
	content: 'KEYNOTE';
	display: inline-block;
	border-radius: 0.5em;
	background-color: #e2542c;
	border: 1px solid #fff;
	color: #fff;
	font-size: 17px;
	padding: 2px 10px;
	line-height: 1.5;
	vertical-align: top;
}

/************************ workshop  *************************/
.sec-workshop .workshop-area {
	margin: 10px 0 20px;
	padding: 20px 50px 20px 25px;
}

/************************ 顏色  *************************/
.borderA {
	border: 2px solid #be87f5;
}

.borderB {
	border: 2px solid #87f5f5;
}

.borderC {
	border: 2px solid #ffee8f;
}

.borderD {
	border: 2px solid #f58787;
}

.borderE {
	border: 2px solid #a5ffad;
}

.borderF {
	border: 2px solid #ff9ab8;
}

.borderG {
	border: 2px solid #bef587;
}

.colorA h4 {
	color: #be87f5;
}

.colorB h4 {
	color: #87f5f5;
}

.colorC h4 {
	color: #ffee8f;
}

.colorD h4 {
	color: #f58787;
}

.colorE h4 {
	color: #a5ffad;
}

.colorF h4 {
	color: #ff9ab8;
}

.colorG h4 {
	color: #bef587;
}
